using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int a, b, x, y;
            string[] ss = Console.ReadLine().Split();
            a = int.Parse(ss[0]);
            b = int.Parse(ss[1]);
            ss = Console.ReadLine().Split();
            x = int.Parse(ss[0]);
            y = int.Parse(ss[1]);
            if (a == x && b == y) Console.WriteLine("nijedan");
            else if (a == x && b > y) Console.WriteLine("drugi");
            else if (a > x && b == y) Console.WriteLine("prvi");
            else Console.WriteLine("?");
        }
    }
}